## org.aspectj.weaver.loadtime.definition
Class Definition.PointcutAndAdvice

    java.lang.Object
      org.aspectj.weaver.loadtime.definition.Definition.PointcutAndAdvice

Enclosing class:
  Definition

    public static class Definition.PointcutAndAdvice

extends java.lang.Object

Field Summary
`java.lang.String` `adviceClass`
`Definition.AdviceKind` `adviceKind`
`java.lang.String` `adviceMethod`
`java.lang.String` `pointcut`

Constructor Summary
`Definition.PointcutAndAdvice(Definition.AdviceKind adviceKind, java.lang.String pointcut, java.lang.String adviceClass, java.lang.String adviceMethod)`

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### adviceKind

    public final Definition.AdviceKind adviceKind

### pointcut

    public final java.lang.String pointcut

### adviceClass

    public final java.lang.String adviceClass

### adviceMethod

    public final java.lang.String adviceMethod

Constructor Detail

### Definition.PointcutAndAdvice

    public Definition.PointcutAndAdvice(Definition.AdviceKind adviceKind,
                                        java.lang.String pointcut,
                                        java.lang.String adviceClass,
                                        java.lang.String adviceMethod)